# Review at https://bugzilla.redhat.com/show_bug.cgi?id=540034

%global alphatag 20091116svn2145

Name:           lxdm
Version:        0.0.3
Release:        0.2.%{alphatag}%{?dist}
Summary:        Lightweight X11 Display Manager

Group:          User Interface/Desktops
# FIXME: change lizense tag to GPLv2+ after response from upstream
License:        GPLv3+
URL:            http://lxde.org
# Source= was generated as follows:
# svn co -r 2145 https://lxde.svn.sourceforge.net/svnroot/lxde/trunk/lxdm lxdm
# cd lxdm
# ./autogen.sh
# cd ..
# tar -cjf lxdm-`date +%G%m%d`svn2145.tar.bz2 lxdm --exclude=.svn
Source0:        lxdm-%{alphatag}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  ConsoleKit-devel
BuildRequires:  intltool >= 0.40.0
Requires:       pam
Requires:       /sbin/shutdown
Requires:       desktop-backgrounds-compat
# needed for anaconda to boot into runlevel 5 after install
Provides:       service(graphical-login)


%description
LXDM is the future display manager of LXDE, the Lightweight X11 Desktop 
environment. It is designed as a lightweight alternative to replace GDM or 
KDM in LXDE distros. It's still in very early stage of development.


%prep
%setup -qn %{name}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
# these files are not in the package, but should be owned by lxdm 
touch %{buildroot}%{_sysconfdir}/%{name}/xinitrc
mkdir -p %{buildroot}%{_localstatedir}/run
touch %{buildroot}%{_localstatedir}/run/%{name}.pid
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/%{name}.log


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME add ChangeLog and NEWS if not empty
%doc AUTHORS COPYING README 
%dir %{_sysconfdir}/%{name}
%ghost %config(noreplace,missingok) %{_sysconfdir}/%{name}/xinitrc
%config(noreplace) %{_sysconfdir}/%{name}/Xsession
%config(noreplace) %{_sysconfdir}/%{name}/lxdm.conf
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}
%{_bindir}/lxdm-binary
%{_bindir}/lxdm-greeter-gtk
%{_datadir}/%{name}/
%ghost %{_localstatedir}/run/%{name}.pid
%ghost %{_localstatedir}/log/%{name}.log


%changelog
* Mon Nov 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.2.20091116svn2145
- Review fixes

* Mon Nov 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091116svn2145
- Update to SVN release 2145

* Thu Nov 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091105svn2132
- Update to SVN release 2132

* Sat Oct 31 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091031svn2100
- Update to SVN release 2100

* Tue Oct 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.3-0.1.20091020svn2082
- Update to SVN release 2082

* Fri Sep 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.2-1
- Initial Fedora package
